<script src="@asset('asset/vendor/vue.js')"></script>
<script src="@asset('asset/vendor/element-ui/index.js')"></script>
<script>
    window.__selectorDialogServer = "{{modstart_web_url('member_data/file_manager')}}";
    window.__data = {
        ResEnhance: {!! json_encode(modstart_module_enabled('ResEnhance')) !!},
        uploadChunkSize: {{\ModStart\Core\Util\EnvUtil::env('uploadMaxSize')}},
        maxUploadFileSize: {!! json_encode(modstart_config('Res_MaxUploadFileSize',20)*1024*1024) !!},
        categoryTree: {!! json_encode(\Module\Res\Util\ResCategoryUtil::categoryTree()) !!},
        cats: {!! json_encode(\Module\Res\Util\ResCatUtil::groupCatMap(-1)) !!},
        duplicateCheck:{!! json_encode(modstart_config('Res_DuplicateMode')!=\Module\Res\Type\ResDuplicateMode::NOT_CHECK) !!},
        tagManagerEnable: {!! json_encode(modstart_module_enabled('TagManager')) !!},
        record: {!! json_encode(empty($record)?null:$record) !!},
        exts: {!! json_encode(array_keys(\Module\Res\Type\ResAssetFileExt::enabled())) !!}
    };
</script>
<script>
    {!! \ModStart\Developer\LangUtil::langScriptPrepare([
        "Select Local File",
    ]) !!}
</script>
